#include <iostream>
#include <vector>
#include <queue>
#include <stack>
#include <cmath>
#include <algorithm>
#include <iomanip>

#define ll long long

using namespace::std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n, k; cin >> n >> k;
    vector<int> a(n); for(auto& i : a) cin >> i;
    for(int i=0;i<n;i++){
        if(a[i] == k){
            cout << a[(i + 1) % n] << endl;
            break;
        }
    }
    return 0;
}